Bug 38946 - [PATCH] for color Handling
Summary: [PATCH] for color Handling
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: general (show other bugs)
Version: trunk
Hardware: Other other
: P2 normal
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2006-03-13 05:44 UTC by Max Berger
Modified: 2012-04-01 06:29 UTC (History)
0 users



Attachments
Patch for color handling (242.04 KB, patch)
2006-03-13 05:46 UTC, Max Berger
Details | Diff
Better version of the color patch (159.65 KB, patch)
2006-03-16 00:21 UTC, Max Berger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Berger 2006-03-13 05:44:30 UTC
Dear developers,

I have created the first patch for proper color handling in fop. This patch
replaces all occurences of other color methods with the java.awt.Color class.

There are still some things left todo (such as removing PDFColor), but this
patch is consistent and all
Comment 1 Max Berger 2006-03-13 05:45:24 UTC
testcases work. 
Comment 2 Max Berger 2006-03-13 05:46:05 UTC
Created attachment 17879 [details]
Patch for color handling
Comment 3 Max Berger 2006-03-16 00:21:48 UTC
Created attachment 17906 [details]
Better version of the color patch

- removed some unnecessary reformatting in the original patch
- added a TODO to another colorspace issue found
- rewrote colorutil to use hashmap-based color lookup
Comment 4 Jeremias Maerki 2006-03-19 16:35:07 UTC
Max, thank you very much for this patch. I think it is a very good step in the
right direction. Your changes look very clean. Since this is a rather large work
and contains new files, may I ask you to sign and submit an Individual
Contributor License Agreement (ICLA) [1] (and a CCLA if necessary) to the Apache
Software Foundation? This is just so everyone is on the safe side. Thank you!
I'll integrate your patch as soon as the ASF's secretary records your ICLA.

[1] http://www.apache.org/licenses/#clas
Comment 5 Jeremias Maerki 2006-05-02 13:54:17 UTC
Max Berger's ICLA has finally been recorded. I'll go after this patch ASAP.
Comment 6 Jeremias Maerki 2006-05-03 07:30:32 UTC
Patch applied. Thanks a lot. The additional changes to the patch due to the
changes since patch submission were no problem.
http://svn.apache.org/viewcvs.cgi?rev=399185&view=rev
Comment 7 Glenn Adams 2012-04-01 06:29:34 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed